iversality

Documentation

Universality Jobs API

Retrieve jobs from the Universality database using a simple HTTP GET request. Authenticate every request with your Universality API key.

Get jobs

Returns available jobs from the Universality database.

GEThttps://api.universality.com/v1/jobs

Authentication

Every request must include your API key using thekeyquery parameter.

GEThttps://api.universality.com/v1/jobs

Keep your API key private.Never expose it in browser-side JavaScript, public repositories, or publicly accessible source code.

Query parameters

HeaderTypeDescription
BarearstringYour Universality API key.

Code examples

Use any HTTP-compatible language to request jobs from Universality. Below are examples for common server-side environments.

Python

Using requests

import requests
 
API_URL = "https://api.universality.online/v1/jobs"
API_KEY = "YOUR_API_KEY"
 
headers = {
    "Authorization": Bearer API_KEY
}
 
response = requests.get(
    API_URL,
    headers=headers,
    timeout=30
)
 
response.raise_for_status()
 
jobs = response.json()
 
for job in jobs["jobs"]:
    print(job["title"])

JavaScript

Node.js

const API_URL = "https://api.universality.com/v1/jobs";
const API_KEY = "YOUR_API_KEY";
 
 
try{
    const response = await fetch(API_URL, method: "GET", headers: { "Authorization": `Bearer ${API_KEY}`, "Content-Type": "application/json" });
 
    if(!response.ok) {
        throw new Error(
            `Universality API error: ${response.status} ${response.statusText}`
        );
    }
 
    const data = await response.json();
 
    for(const job of data.jobs) {
        console.log(job.title);
    }
} catch(error) {
    console.error("Failed to fetch jobs:", error);
}

PHP

cURL

<?php
 
$apiUrl = "https://api.universality.com/v1/jobs";
$apiKey = "YOUR_API_KEY";
 
$url = $apiUrl
 
$ch = curl_init($url);
 
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_TIMEOUT => 30,
CURLOPT_HTTPHEADER => ["Authorization: Bearer " . $apiKey, ],
]);
 
$response = curl_exec($ch);
 
if($response === false) {
    throw new RuntimeException(
        curl_error($ch)
    );
}
 
curl_close($ch);
 
$data = json_decode($response, true);
 
foreach($data["jobs"] as $job) {
    echo $job["title"] . PHP_EOL;
}

Example response

A successful request returns job data in JSON format.

{
  "success": true,
  "count": 2,
  "jobs": [
    {
      "id": "job_8f42a1",
      "title": "Senior Full Stack Developer",
      "description": "Senior Full Stack Developer with over 5 years of skills required...",
      "apptip": "To be perfect applicant for this job you should have deep skills in CI/CD because...",
      "company": "Example Technologies",
      "salary": "$50-65/hour",
      "postdate": "4 hours ago",
      "source": "https://linkedin.com/jobs?src=...",
      "via": "Linkedin",
      "type": "Full time",
      "location": "Remote",
      "imgurl": "https://example.com/jobs/8f42a1"
      "level": "senior",
      "clicks": "27",
    },
    {
      "id": "job_21c9bd",
      "title": "Front-End developer with react.js",
      "description": "I'm looking for frontend developer using react...",
      "apptip": "This client actively looking for frontend developer with react . But to attract his attention tell why next.js is better than react only , then...",
      "company": "private client",
      "salary": "$3000",
      "postdate": "30 minutes ago",
      "source": "https://freelancer.com/jobs?src=...",
      "via": "Freelancer",
      "type": "Contract",
      "location": "Las vegas",
      "imgurl": "https://example.com/jobs/8f42a1"
      "level": "junior",
      "clicks": "59",
    }
  ]
}

Response Keys And Their Meaning

KeyTypeDescription
idstringJob id
titlestringTitle of the job
descriptionstringJob detail or description
apptipstringApplication tip ai created.
companystringA company or client which is looking for developer
salarystringSalary of role.
postdatestringA time when job was posted.
sourcestringMain application form url.
viastringJob board where job found from
typestringJob type.
locationstringJob location
imgurlstringCompany or Client logo
levelstringRequired developer level
clicksstringTotal amount users navigated to application from here.

💡 Parsing tip

Our system uses the string "Break_Line" as a deliberate delimiter within job descriptions and application tips. When rendering this content for the user, the front-end splits the text at each "Break_Line" marker to dynamically start a new section, ensuring a clean and highly readable layout.
When generating or processing text for this API, please adhere to one of the following requirements based on your specific task:
Format the output by inserting "Break_Line" at logical transition points to enforce proper section breaks.
Strip out all instances of the "Break_Line" string before utilizing the text, ensuring no raw system delimiters are exposed to the user.

Errors

StatusMeaning
401Invalid or missing API key.
403API access is not authorized.
429API request limit exceeded.
500Unexpected server error.

Ready to build with Universality?

Generate your API key from the API dashboard and start retrieving Universality job data from your application.